<?php
header('Content-Type: application/json; charset=utf-8');
$input = json_decode(file_get_contents('php://input'), true);

$response = (object)[];

if (count($input) > 0) {
    require_once __DIR__ . '/../connection/SqlServer.php';

    $db = new connection();
    $db->SERVER_11_2();

    $fecha_inicio = date('Y-m-d', strtotime($input['fechaInicio']));
    $fecha_fin = date('Y-m-d', strtotime($input['fechaFin']));

    $query = 'SELECT * FROM visitas.view_visitantes where sucursal = :sucursal and cluster = :cluster and cast(fecha_registro as date) between :inicio and :fin;';
    $stmt = $db->conexion->prepare($query, [PDO::ATTR_CURSOR => PDO::CURSOR_SCROLL]);
    $stmt->bindParam(':sucursal', $input['sucursal'], PDO::PARAM_STR);
    $stmt->bindParam(':cluster', $input['cluster'], PDO::PARAM_STR);
    $stmt->bindParam(':inicio', $fecha_inicio, PDO::PARAM_STR);
    $stmt->bindParam(':fin', $fecha_fin, PDO::PARAM_STR);

    // echo json_encode(['inicio'=>$fecha_inicio,'fin'=>$fecha_fin,'sucursal'=>$input['sucursal'],'cluster'=>$input['cluster']]);die;

    try {
        $stmt->execute();
        $data = $stmt->fetchAll(PDO::FETCH_OBJ);

        foreach ($data as $key => $row) {
            $data[$key]->fecha_registro = date('d-m-Y h:i a', strtotime($row->fecha_registro));
        }

        $response->status = 200;
        $response->message = 'EXITO';
        $response->data = $data;
    } catch (PDOException $e) {
        $response->status = 500;
        $response->message = $e->getMessage();
    } finally {
        $db->conexion = null;
    }
}

echo json_encode($response);
